org.apache.flume.sink.elasticsearch

## Interface IndexNameBuilder

- All Superinterfaces:
    Configurable, ConfigurableComponent
  All Known Implementing Classes:
    SimpleIndexNameBuilder, TimeBasedIndexNameBuilder

      public interface IndexNameBuilder
      extends Configurable, ConfigurableComponent

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getIndexName(Event event)` Gets the name of the index to use for an index request
    `String` | `getIndexPrefix(Event event)` Gets the prefix of index to use for an index request.

    - ### Methods inherited from interface org.apache.flume.conf.Configurable

      `configure`

    - ### Methods inherited from interface org.apache.flume.conf.ConfigurableComponent

      `configure`

- - ### Method Detail

    - #### getIndexName

          String getIndexName(Event event)

      Gets the name of the index to use for an index request
      Parameters:
        `event` - Event which determines index name
      Returns:
        index name of the form 'indexPrefix-indexDynamicName'

    - #### getIndexPrefix

          String getIndexPrefix(Event event)

      Gets the prefix of index to use for an index request.
      Parameters:
        `event` - Event which determines index name
      Returns:
        Index prefix name

Copyright © 2009-2016 Apache Software Foundation. All Rights Reserved.